Plutonium framework API 0.3.0 UI framework libraries for libnx

Namespaces | Macros | Typedefs
pu_Include.hpp File Reference
`#include <switch.h>`
`#include <string>`
`#include <memory>`

Go to the source code of this file.

## Namespaces
namespace | pu

## Macros
#define | PU_SMART_CTOR(type)

## Typedefs
using | pu::i32 = s32

## Macro Definition Documentation

## ◆ PU_SMART_CTOR

#define PU_SMART_CTOR | ( |  | type | ) |

Value:
using Ref = std::shared_ptr<type>; \
template<typename ...Args> \
inline static Ref New(Args &&...ctor_args) { \
return std::move(std::make_shared<type>(std::forward<Args>(ctor_args)...)); \
}